from django.contrib.auth.models import User

class JumboUser(User):
    class Meta:
        proxy = True

    def is_ticket_user(self):
        if hasattr(self, 'ticket_user'):
            return True
        return False
    is_ticket_user.boolean = True

    def is_document_user(self):
        if hasattr(self, 'document_user'):
            return True
        return False
    is_document_user.boolean = True