from django.db.models.loading import get_model

from dajax.core import Dajax
from dajaxice.core import dajaxice_functions
from jumbo.shortcuts import render_to_string

def common_fancybox_inline(request, object_id, app, model, is_change):
    dajax = Dajax()
    modello = get_model(app, model)
    p = modello.objects.get(id=object_id)

    str_inline = render_to_string('admin/%s/%s/rows_inline.html' % (app, model.lower()), original=p)
    dajax.assign("#rows_inline", "innerHTML", str_inline)

    if is_change == 'False':
        dajax.script('$("#add_new_row").focus();')
    return dajax.json()

dajaxice_functions.register(common_fancybox_inline)
