"""
Functions
=========

.. autofunctions:: set_interactive_user
"""


def set_interactive_user(username='admin'):
    """Implementa ThreadUser anche da shell interattiva::

         from jumbo import conf
         conf.set_interactive_user()
       
    """
    from django.conf import settings
    from django.contrib.auth.models import User
    setattr(settings, 'INTERACTIVE_USER', User.objects.get(username=username))

