from django.db import models as django_models
from django.db.models.fields import Field
from django.db.models.fields.related import add_lazy_relation, RelatedField, ReverseSingleRelatedObjectDescriptor
from django.utils.functional import curry

# Questa HACKFOREIGNKEY serve per bypassare il problema dei related_name di modelli
# che hanno lo stesso nome e sono in applicazioni diverse.
# In pratica viene aggiunta, oltre alla chiave class che gia ti da django, anche la
# chiave app_label che mi permettera' di creare dei related_name univoci in base al
# nome dell'applicazione e del modello
#
class HackForeignKey(django_models.ForeignKey):
#    def contribute_to_class(self, cls, name):
#        # Add an accessor to allow easy determination of the related query path for this field
#        self.related_query_name = curry(self._get_related_query_name, cls._meta)

#        if not cls._meta.abstract and self.rel.related_name:
#            self.rel.related_name = self.rel.related_name % {
#                'class': cls.__name__.lower(),
#                'app_label': cls._meta.app_label.lower(),
#            }

#        other = self.rel.to
#        if isinstance(other, basestring):
#            def resolve_related_class(field, model, cls):
#                field.rel.to = model
#                field.do_related_class(model, cls)
#            add_lazy_relation(cls, self, other, resolve_related_class)
#        else:
#            self.do_related_class(other, cls)

#        Field.contribute_to_class(self, cls, name)

#        setattr(cls, self.name, ReverseSingleRelatedObjectDescriptor(self))

#        if isinstance(self.rel.to, basestring):
#            target = self.rel.to
#        else:
#            target = self.rel.to._meta.db_table
#        cls._meta.duplicate_targets[self.column] = (target, "o2m")


    def south_field_triple(self):
            "Returns a suitable description of this field for South."
            # We'll just introspect ourselves, since we inherit.
            from south.modelsinspector import introspector
            field_class = "django.db.models.ForeignKey"
            args, kwargs = introspector(self)
            # That's our definition!
            return (field_class, args, kwargs)

