# -*- coding: utf-8 -*-

from django import template
from jumbo.utils.functions import get_formatted_time
register = template.Library()

def sub(value, arg):
    """Substract the arg to the value."""
    return int(value) - int(arg)
sub.is_safe = False

def mul(value, arg):
    """Multiply the arg to the value."""
    return value * arg
mul.is_safe = False

def div(value, arg):
    """Divide the arg to the value."""
    return int(value) / int(arg)
div.is_safe = False

def format_seconds(secondi):
    return get_formatted_time(int(secondi) * 1000)


register.filter(sub)
register.filter(mul)
register.filter(div)
register.filter(format_seconds)