from django.contrib.auth.models import User
from datetime import datetime, timedelta
from lastActivityDate.models import UserActivity

def get_user_w_lastactivity():
    """
    restituisce l'utente che ha effettuato l'ultima operazione
    """
    l_user = get_activities_users()
    if l_user:
        return l_user[0]
    return None

def get_online_users():
    return get_activities_users(minutes=15)

def get_activities_users(num=None,minutes=None):
    users = UserActivity.objects.all()
    if minutes:
        fifteen_minutes = datetime.now() - timedelta(minutes=minutes)
        sql_datetime = datetime.strftime(fifteen_minutes, '%Y-%m-%d %H:%M:%S')
        users = users.filter(last_activity_date__gte=sql_datetime, user__is_active__exact=1).order_by('-last_activity_date')
    if num:
        users[:0]
    return [u.user for u in users]