from facebook.models import FacebookUser

def facebook(request):
    if request.user.is_anonymous():
        return { 'fb_user': None }

    try:
        fb_user = FacebookUser.objects.get(user = request.user.id)
    except FacebookUser.DoesNotExist:
        fb_user = None
    return { 'fb_user': fb_user }
