from django.db import models
from django.utils.translation import ugettext_lazy as _
from django.contrib import admin

from jumbo.apps.i18n.models import Language

class LanguageAdmin(admin.ModelAdmin):
    class Media:
        css = {
            'all': ('/static/media/css/widgets.css',),
        }
    save_on_top = True
    ordering = ('code', 'name',)
admin.site.register(Language, LanguageAdmin)

