# -*- coding: utf-8 -*-

import datetime
from jumbo.apps.project.models import ProjectNumber

def create_update_number(tproject, curr_date=None):
    if not curr_date:
        curr_date = datetime.date.today()
    year = curr_date.year
    try:
        obj=ProjectNumber.objects.get(year=year)
        if tproject == "o":
            obj.last_onumber += 1
        if tproject == "c":
            obj.last_cnumber += 1
    except Exception, e:
        obj=ProjectNumber()
        obj.date_create = datetime.datetime.now()
        if tproject == "o":
            obj.last_onumber = 1
            obj.last_cnumber = 0
        if tproject == "c":
            obj.last_cnumber = 1
        obj.year = year
    obj.last_date = curr_date
    obj.date_last_modify = datetime.datetime.now()
    obj.save()

    if tproject == "o":
        return obj.last_onumber
    if tproject == "c":
        return obj.last_cnumber
    
    return None
