# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.apps.template.models import *
from jumbo.db.models import StatusField, HTMLField

def _get_default_country():
    pass

class Migration:
    
    def forwards(self, orm):
        
        # Adding field 'TemplateTranslation.title'
        db.add_column('template_templatetranslation', 'title', orm['template.templatetranslation:title'])
        
        # Changing field 'TemplateTranslation.meta_description'
        # (to signature: django.db.models.fields.CharField(max_length=255, null=True, blank=True))
        db.alter_column('template_templatetranslation', 'meta_description', orm['template.templatetranslation:meta_description'])
        
        # Changing field 'TemplateTranslation.meta_keywords'
        # (to signature: django.db.models.fields.CharField(max_length=255, null=True, blank=True))
        db.alter_column('template_templatetranslation', 'meta_keywords', orm['template.templatetranslation:meta_keywords'])
        
    
    
    def backwards(self, orm):
        
        # Deleting field 'TemplateTranslation.title'
        db.delete_column('template_templatetranslation', 'title')
        
        # Changing field 'TemplateTranslation.meta_description'
        # (to signature: django.db.models.fields.CharField(max_length=255))
        db.alter_column('template_templatetranslation', 'meta_description', orm['template.templatetranslation:meta_description'])
        
        # Changing field 'TemplateTranslation.meta_keywords'
        # (to signature: django.db.models.fields.CharField(max_length=255))
        db.alter_column('template_templatetranslation', 'meta_keywords', orm['template.templatetranslation:meta_keywords'])
        
    
    
    models = {
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
        },
        'i18n.language': {
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'template.template': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'default': ('HTMLField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'meta_description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'template.templatetranslation': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ["orm['i18n.Language']"], {}),
            'meta_description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'template': ('models.ForeignKey', ["orm['template.Template']"], {'related_name': "'translations'"}),
            'text': ('HTMLField', [], {'null': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'})
        }
    }
    
    complete_apps = ['template']
