from django.conf import settings

def media(request):
    """
    Adds media-related context variables to the context.

    """
    return {'ADMIN_MEDIA_PREFIX': settings.ADMIN_MEDIA_PREFIX,
            'ADMIN_SITE_NAME':settings.ADMIN_SITE_NAME,
            'ADMIN_SUPPORT_LINK':settings.ADMIN_SUPPORT_LINK,
            'ADMIN_POWEREDBY_LINK':settings.ADMIN_POWEREDBY_LINK,
            'ADMIN_FAVICON_URL': settings.ADMIN_FAVICON_URL,
            'ENABLE_FACEBOOK_LOGIN': settings.ENABLE_FACEBOOK_LOGIN,
            'ADMIN_THEME_NAME': settings.ADMIN_THEME_NAME,
            'ADMIN_BASE_TEMPLATE': 'admin/themes/' + settings.ADMIN_THEME_NAME + '/base.html',
            'ADMIN_CHANGE_FORM_TEMPLATE': 'admin/themes/' + settings.ADMIN_THEME_NAME + '/change_form.html'
    }
