# -*- encoding: utf-8 -*-
# This file is distributed under the same license as the Django package.
#

DATE_FORMAT = 'm/d/Y'
TIME_FORMAT = 'H:i'

DATETIME_FORMAT = 'm/d/Y H:i'

YEAR_MONTH_FORMAT = 'F Y'
MONTH_DAY_FORMAT = 'j F'
SHORT_DATE_FORMAT = 'm/d/Y'

SHORT_DATETIME_FORMAT = 'm/d/Y H:i'
FIRST_DAY_OF_WEEK = 1
TIME_INPUT_FORMATS = (
    '%H:%M:%S',     # '14:30:59'
    '%H:%M',        # '14:30'
)

DATE_INPUT_FORMATS = (
    '%m/%d/%Y', '%m-%d-%Y',             # '10-25-2006', '25/10/2006'
    '%Y-%m-%d', '%Y/%m/%d',             # '2008-10-25', '2008/10/25'
    '%m-%d-%y', '%m/%d/%y',             # '10-25-06', '25/10/06'
)

DATETIME_INPUT_FORMATS = (
    '%m/%d/%y %H:%M:%S',     # '25/10/2006 14:30:59'
    '%Y-%m-%d %H:%M:%S',     # '2006-10-25 14:30:59'
    '%Y-%m-%d %H:%M',        # '2006-10-25 14:30'
    '%Y-%m-%d',              # '2006-10-25'
    '%m/%d/%Y %H:%M:%S',     # '25/10/2006 14:30:59'
    '%m/%d/%Y %H:%M',        # '25/10/2006 14:30'
    '%m/%d/%Y',              # '25/10/2006'
    '%m/%d/%y %H:%M',        # '25/10/2006 14:30'
    '%m/%d/%y',              # '25/10/2006'
)

DECIMAL_SEPARATOR = '.'
THOUSAND_SEPARATOR = ','
NUMBER_GROUPING = 3
