# -*- coding: utf-8 -*-

from django import template

register = template.Library()

def rowify(objects, count):
    data = []
    x = 0
    y = len(objects)
    count = int(count)
    while x < y:
        data.append(objects[x:x+count])
        x += count
    return data
rowify.is_safe = True
register.filter(rowify)

